Amazon Linux 2 : ibus (ALAS-2020-1555)

Low Nessus Plugin ID 142725

New! Vulnerability Priority Rating (VPR)

Tenable calculates a dynamic VPR for every vulnerability. VPR combines vulnerability information with threat intelligence and machine learning algorithms to predict which vulnerabilities are most likely to be exploited in attacks. Read more about what VPR is and how it's different from CVSS.

VPR Score: 5.2

Synopsis

The remote Amazon Linux 2 host is missing a security update.

Description

The version of tested product installed on the remote host is prior to tested version. It is, therefore, affected by a vulnerability as referenced in the ALAS2-2020-1555 advisory.

- A flaw was discovered in ibus in versions before 1.5.22 that allows any unprivileged user to monitor and send method calls to the ibus bus of another user due to a misconfiguration in the DBus server setup. A local attacker may use this flaw to intercept all keystrokes of a victim user who is using the graphical interface, change the input method engine, or modify other input related configurations of the victim user. (CVE-2019-14822)

Note that Nessus has not tested for this issue but has instead relied only on the application's self-reported version number.

Solution

Run 'yum update ibus' to update your system.

See Also

https://alas.aws.amazon.com/AL2/ALAS-2020-1555.html

https://access.redhat.com/security/cve/CVE-2019-14822

Plugin Details

Severity: Low

ID: 142725

File Name: al2_ALAS-2020-1555.nasl

Version: 1.2

Type: local

Agent: unix

Published: 2020/11/11

Updated: 2020/11/11

Dependencies: 12634

Risk Information

Risk Factor: Low

VPR Score: 5.2

CVSS Score Source: CVE-2019-14822

CVSS v2.0

Base Score: 3.6

Temporal Score: 2.7

Vector: CVSS2#AV:L/AC:L/Au:N/C:P/I:P/A:N

Temporal Vector: CVSS2#E:U/RL:OF/RC:C

CVSS v3.0

Base Score: 7.1

Temporal Score: 6.2

Vector: CVSS:3.0/AV:L/AC:L/PR:L/UI:N/S:U/C:H/I:H/A:N

Temporal Vector: CVSS:3.0/E:U/RL:O/RC:C

Vulnerability Information

CPE: p-cpe:/a:amazon:linux:ibus, p-cpe:/a:amazon:linux:ibus-debuginfo, p-cpe:/a:amazon:linux:ibus-devel, p-cpe:/a:amazon:linux:ibus-devel-docs, p-cpe:/a:amazon:linux:ibus-gtk2, p-cpe:/a:amazon:linux:ibus-gtk3, p-cpe:/a:amazon:linux:ibus-libs, p-cpe:/a:amazon:linux:ibus-pygtk2, p-cpe:/a:amazon:linux:ibus-setup, cpe:/o:amazon:linux:2

Required KB Items: Host/local_checks_enabled, Host/AmazonLinux/release, Host/AmazonLinux/rpm-list

Exploit Ease: No known exploits are available

Patch Publication Date: 2020/11/09

Vulnerability Publication Date: 2019/11/25

Reference Information

CVE: CVE-2019-14822

ALAS: 2020-1555